// Copyright (C) 2022 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/material.dart';

abstract class AppBarComponent extends PreferredSize {
  final String? title;
  const AppBarComponent({this.title, super.key})
      : super(
          preferredSize: const Size.fromHeight(60),
          child: const SizedBox.shrink(),
        );

  AppBarComponent configure({String? title});
}

abstract class BottomNavigationBarComponent extends StatelessWidget {
  final int currentIndex;
  final void Function(BuildContext, int)? onTap;
  const BottomNavigationBarComponent({
    this.onTap,
    this.currentIndex = 0,
    super.key,
  });

  BottomNavigationBarComponent configure({
    void Function(BuildContext, int)? onTap,
    int currentIndex = 0,
  });
}
